Atk Namespace Reference

The ATK interface which provides standard mechanism for manipulating hyperlinks. More...

## Classes

class | Action
| The ATK interface provided by UI components which the user can activate/interact with, This should be implemented by instances of Atk::Object classes with which the user can interact directly, i.e. More...
class | Component
| The ATK interface provided by UI components which occupy a physical area on the screen. More...
class | Document
| The ATK interface which allows access to a DOM associated with on object. More...
class | EditableText
| The ATK interface implemented by components containing user-editable text content. More...
class | Hyperlink
| Encapsulates a link or set of links in a hypertext document. More...
class | Hypertext
class | Image
| The ATK Interface implemented by components which expose image or pixmap content on-screen. More...
class | Implementor
class | NoOpObject
| An Atk::NoOpObject is an Atk::Object which purports to implement all ATK interfaces. More...
class | Object
| The base object class for the Accessibility Toolkit API. More...
class | ObjectAccessible
| This object class is derived from AtkObject and can be used as a basis implementing accessible objects. More...
class | Range
| A given range or subrange, to be used with Atk::Value. More...
class | Relation
| An Atk::Relation describes a relation between an object and one or more other objects. More...
class | RelationSet
| A set of Atk::Relations, normally the set of AtkRelations which an Atk::Object has. More...
class | Selection
| The ATK interface implemented by container objects whose Atk::Object children can be selected. More...
class | StateSet
| An AtkStateSet determines a component's state set. More...
class | StreamableContent
| The ATK interface which provides access to streamable content. More...
class | Table
| The ATK interface implemented for UI components which contain tabular or row/column information. More...
class | Attribute
struct | AttributeTraits
class | TextAttribute
class | Text
| The ATK interface implemented by components with text content. More...
class | Value
| The ATK interface implemented by valuators and components which display or select a value from a bounded range of values. More...

## Typedefs

typedef guint64 | State
typedef Glib::SListHandle< Attribute, AttributeTraits > | AttributeSet

## Enumerations

enum | CoordType { XY_SCREEN , XY_WINDOW }
| Specifies how xy coordinates are to be interpreted. More...
enum | Layer { LAYER_INVALID , LAYER_BACKGROUND , LAYER_CANVAS , LAYER_WIDGET , LAYER_MDI , LAYER_POPUP , LAYER_OVERLAY , LAYER_WINDOW }
| Describes the layer of a component. More...

enum

Role {
ROLE_INVALID ,
ROLE_ACCEL_LABEL ,
ROLE_ALERT ,
ROLE_ANIMATION ,
ROLE_ARROW ,
ROLE_CALENDAR ,
ROLE_CANVAS ,
ROLE_CHECK_BOX ,
ROLE_CHECK_MENU_ITEM ,
ROLE_COLOR_CHOOSER ,
ROLE_COLUMN_HEADER ,
ROLE_COMBO_BOX ,
ROLE_DATE_EDITOR ,
ROLE_DESKTOP_ICON ,
ROLE_DESKTOP_FRAME ,
ROLE_DIAL ,
ROLE_DIALOG ,
ROLE_DIRECTORY_PANE ,
ROLE_DRAWING_AREA ,
ROLE_FILE_CHOOSER ,
ROLE_FILLER ,
ROLE_FONT_CHOOSER ,
ROLE_FRAME ,
ROLE_GLASS_PANE ,
ROLE_HTML_CONTAINER ,
ROLE_ICON ,
ROLE_IMAGE ,
ROLE_INTERNAL_FRAME ,
ROLE_LABEL ,
ROLE_LAYERED_PANE ,
ROLE_LIST ,
ROLE_LIST_ITEM ,
ROLE_MENU ,
ROLE_MENU_BAR ,
ROLE_MENU_ITEM ,
ROLE_OPTION_PANE ,
ROLE_PAGE_TAB ,
ROLE_PAGE_TAB_LIST ,
ROLE_PANEL ,
ROLE_PASSWORD_TEXT ,
ROLE_POPUP_MENU ,
ROLE_PROGRESS_BAR ,
ROLE_PUSH_BUTTON ,
ROLE_RADIO_BUTTON ,
ROLE_RADIO_MENU_ITEM ,
ROLE_ROOT_PANE ,
ROLE_ROW_HEADER ,
ROLE_SCROLL_BAR ,
ROLE_SCROLL_PANE ,
ROLE_SEPARATOR ,
ROLE_SLIDER ,
ROLE_SPLIT_PANE ,
ROLE_SPIN_BUTTON ,
ROLE_STATUSBAR ,
ROLE_TABLE ,
ROLE_TABLE_CELL ,
ROLE_TABLE_COLUMN_HEADER ,
ROLE_TABLE_ROW_HEADER ,
ROLE_TEAR_OFF_MENU_ITEM ,
ROLE_TERMINAL ,
ROLE_TEXT ,
ROLE_TOGGLE_BUTTON ,
ROLE_TOOL_BAR ,
ROLE_TOOL_TIP ,
ROLE_TREE ,
ROLE_TREE_TABLE ,
ROLE_UNKNOWN ,
ROLE_VIEWPORT ,
ROLE_WINDOW ,
ROLE_HEADER ,
ROLE_FOOTER ,
ROLE_PARAGRAPH ,
ROLE_RULER ,
ROLE_APPLICATION ,
ROLE_AUTOCOMPLETE ,
ROLE_EDITBAR ,
ROLE_EMBEDDED ,
ROLE_ENTRY ,
ROLE_CHART ,
ROLE_CAPTION ,
ROLE_DOCUMENT_FRAME ,
ROLE_HEADING ,
ROLE_PAGE ,
ROLE_SECTION ,
ROLE_REDUNDANT_OBJECT ,
ROLE_FORM ,
ROLE_LINK ,
ROLE_INPUT_METHOD_WINDOW ,
ROLE_TABLE_ROW ,
ROLE_TREE_ITEM ,
ROLE_DOCUMENT_SPREADSHEET ,
ROLE_DOCUMENT_PRESENTATION ,
ROLE_DOCUMENT_TEXT ,
ROLE_DOCUMENT_WEB ,
ROLE_DOCUMENT_EMAIL ,
ROLE_COMMENT ,
ROLE_LIST_BOX ,
ROLE_GROUPING ,
ROLE_IMAGE_MAP ,
ROLE_NOTIFICATION ,
ROLE_INFO_BAR ,
ROLE_LEVEL_BAR ,
ROLE_TITLE_BAR ,
ROLE_BLOCK_QUOTE ,
ROLE_AUDIO ,
ROLE_VIDEO ,
ROLE_DEFINITION ,
ROLE_ARTICLE ,
ROLE_LANDMARK ,
ROLE_LOG ,
ROLE_MARQUEE ,
ROLE_MATH ,
ROLE_RATING ,
ROLE_TIMER ,
ROLE_DESCRIPTION_LIST ,
ROLE_DESCRIPTION_TERM ,
ROLE_DESCRIPTION_VALUE ,
ROLE_STATIC ,
ROLE_MATH_FRACTION ,
ROLE_MATH_ROOT ,
ROLE_SUBSCRIPT ,
ROLE_SUPERSCRIPT ,
ROLE_LAST_DEFINED
}

enum

RelationType {
RELATION_NULL ,
RELATION_CONTROLLED_BY ,
RELATION_CONTROLLER_FOR ,
RELATION_LABEL_FOR ,
RELATION_LABELLED_BY ,
RELATION_MEMBER_OF ,
RELATION_NODE_CHILD_OF ,
RELATION_FLOWS_TO ,
RELATION_FLOWS_FROM ,
RELATION_SUBWINDOW_OF ,
RELATION_EMBEDS ,
RELATION_EMBEDDED_BY ,
RELATION_POPUP_FOR ,
RELATION_PARENT_WINDOW_OF ,
RELATION_DESCRIBED_BY ,
RELATION_DESCRIPTION_FOR ,
RELATION_NODE_PARENT_OF ,
RELATION_LAST_DEFINED
}

| Describes the type of the relation. More...

enum

StateType {
STATE_INVALID ,
STATE_ACTIVE ,
STATE_ARMED ,
STATE_BUSY ,
STATE_CHECKED ,
STATE_DEFUNCT ,
STATE_EDITABLE ,
STATE_ENABLED ,
STATE_EXPANDABLE ,
STATE_EXPANDED ,
STATE_FOCUSABLE ,
STATE_FOCUSED ,
STATE_HORIZONTAL ,
STATE_ICONIFIED ,
STATE_MODAL ,
STATE_MULTI_LINE ,
STATE_MULTISELECTABLE ,
STATE_OPAQUE ,
STATE_PRESSED ,
STATE_RESIZABLE ,
STATE_SELECTABLE ,
STATE_SELECTED ,
STATE_SENSITIVE ,
STATE_SHOWING ,
STATE_SINGLE_LINE ,
STATE_STALE ,
STATE_TRANSIENT ,
STATE_VERTICAL ,
STATE_VISIBLE ,
STATE_MANAGES_DESCENDANTS ,
STATE_INDETERMINATE ,
STATE_TRUNCATED ,
STATE_REQUIRED ,
STATE_INVALID_ENTRY ,
STATE_SUPPORTS_AUTOCOMPLETION ,
STATE_SELECTABLE_TEXT ,
STATE_DEFAULT ,
STATE_ANIMATED ,
STATE_VISITED ,
STATE_CHECKABLE ,
STATE_HAS_POPUP ,
STATE_HAS_TOOLTIP ,
STATE_READ_ONLY ,
STATE_LAST_DEFINED
}

enum

BuiltinTextAttribute {
TEXT_ATTR_INVALID ,
TEXT_ATTR_LEFT_MARGIN ,
TEXT_ATTR_RIGHT_MARGIN ,
TEXT_ATTR_INDENT ,
TEXT_ATTR_INVISIBLE ,
TEXT_ATTR_EDITABLE ,
TEXT_ATTR_PIXELS_ABOVE_LINES ,
TEXT_ATTR_PIXELS_BELOW_LINES ,
TEXT_ATTR_PIXELS_INSIDE_WRAP ,
TEXT_ATTR_BG_FULL_HEIGHT ,
TEXT_ATTR_RISE ,
TEXT_ATTR_UNDERLINE ,
TEXT_ATTR_STRIKETHROUGH ,
TEXT_ATTR_SIZE ,
TEXT_ATTR_SCALE ,
TEXT_ATTR_WEIGHT ,
TEXT_ATTR_LANGUAGE ,
TEXT_ATTR_FAMILY_NAME ,
TEXT_ATTR_BG_COLOR ,
TEXT_ATTR_FG_COLOR ,
TEXT_ATTR_BG_STIPPLE ,
TEXT_ATTR_FG_STIPPLE ,
TEXT_ATTR_WRAP_MODE ,
TEXT_ATTR_DIRECTION ,
TEXT_ATTR_JUSTIFICATION ,
TEXT_ATTR_STRETCH ,
TEXT_ATTR_VARIANT ,
TEXT_ATTR_STYLE ,
TEXT_ATTR_LAST_DEFINED
}

| Describes the text attributes supported. More...
enum | TextBoundary { TEXT_BOUNDARY_CHAR , TEXT_BOUNDARY_WORD_START , TEXT_BOUNDARY_WORD_END , TEXT_BOUNDARY_SENTENCE_START , TEXT_BOUNDARY_SENTENCE_END , TEXT_BOUNDARY_LINE_START , TEXT_BOUNDARY_LINE_END }
| Text boundary types used for specifying boundaries for regions of text. More...
enum | TextClipType { TEXT_CLIP_NONE , TEXT_CLIP_MIN , TEXT_CLIP_MAX , TEXT_CLIP_BOTH }
| Describes the type of clipping required. More...
enum | TextGranularity { TEXT_GRANULARITY_CHAR , TEXT_GRANULARITY_WORD , TEXT_GRANULARITY_SENTENCE , TEXT_GRANULARITY_LINE , TEXT_GRANULARITY_PARAGRAPH }
| Text granularity types used for specifying the granularity of the region of text we are interested in. More...

## Functions

void | init ()
| Initialize atkmm.
Glib::RefPtr< Atk::Action > | wrap (AtkAction * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Component > | wrap (AtkComponent * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Document > | wrap (AtkDocument * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::EditableText > | wrap (AtkEditableText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Hyperlink > | wrap (AtkHyperlink * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Hypertext > | wrap (AtkHypertext * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Image > | wrap (AtkImage * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Implementor > | wrap (AtkImplementor * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::NoOpObject > | wrap (AtkNoOpObject * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Object > | wrap (AtkObject * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::ObjectAccessible > | wrap (AtkGObjectAccessible * object, bool take_copy=false)
| A Glib::wrap() method for this object.
void | swap (Range & lhs, Range & rhs) noexcept
Atk::Range | wrap (AtkRange * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Relation > | wrap (AtkRelation * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::RelationSet > | wrap (AtkRelationSet * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Selection > | wrap (AtkSelection * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::StateSet > | wrap (AtkStateSet * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::StreamableContent > | wrap (AtkStreamableContent * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Table > | wrap (AtkTable * object, bool take_copy=false)
| A Glib::wrap() method for this object.
void | swap (Attribute & lhs, Attribute & rhs)
Glib::RefPtr< Atk::Text > | wrap (AtkText * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Glib::RefPtr< Atk::Value > | wrap (AtkValue * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

The ATK interface which provides standard mechanism for manipulating hyperlinks.

## Typedef Documentation

## AttributeSet

typedef Glib::SListHandle<Attribute, AttributeTraits> Atk::AttributeSet

## State

typedef guint64 Atk::State

## Function Documentation

## init()

void Atk::init | ( |  | ) |

Initialize atkmm.

You may call this more than once. You do not need to call this if you are using Gtk::Main, because it calls this for you.